package vc.thinker.absctacts.protocolproxy.enums.service;

import vc.thinker.absctacts.protocolproxy.enums.DataType;

/**
 * 服务参数定义
 *
 * @author HeTongHao
 * @since 2021/11/24 17:09
 */
public interface IServiceParamDefine {

    /**
     * 覆盖,编号默认取枚举的名称
     *
     * @return 枚举的名称
     */
    String getCode();

    /**
     * 参数数据类型
     *
     * @return 参数数据类型
     */
    DataType getDataType();
}
