package vc.thinker.thirdpartyproxy.protocolimpls.test;

import lombok.AllArgsConstructor;
import lombok.Getter;
import vc.thinker.absctacts.protocolproxy.enums.DataType;
import vc.thinker.absctacts.protocolproxy.enums.IMeterAttrDefine;

/**
 * 测试协议属性定义
 *
 * @author HeTongHao
 * @since 2021/7/9 16:20
 */
@Getter
@AllArgsConstructor
public enum TestMeterAttrDefine implements IMeterAttrDefine {
    /**
     * 数据组
     */
    current("current", "电压", DataType.Float),
    voltage("voltage", "电流", DataType.Float),
    Active_energy("Active_energy", "有功电能", DataType.Float),
    ;
    /**
     * 编号，设备下唯一
     */
    private final String code;
    /**
     * 属性名称
     */
    private final String name;
    /**
     * 数据类型
     */
    private final DataType dataType;
}
